Bug 51815 - Couldn't create or rename temp file in Maildir format
Summary: Couldn't create or rename temp file in Maildir format
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: procmail
Version: roswell
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-15 15:01 UTC by Brian Gunney
Modified: 2007-04-18 16:35 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2001-09-12 00:14:16 UTC


Attachments (Terms of Use)

Description Brian Gunney 2001-08-15 15:01:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010725

Description of problem:
Fails to save message in Maildir format, complaining about not being create
temp file.  This happens when the recipe is in a separate file included in
.procmailrc through INCLUDERC.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Put recipe this recipe in file "~/.procmailrc.d/voluntary-lists"
:0:
* ^(To|[Cc][Cc]):.*galeon-devel@.*sourceforge.net.*
galeon-devel/
# Note the use of Maildir format.
2. Put this in .procmailrc: 
INCLUDERC=$HOME/.procmailrc.d/voluntary-lists
3.Receive message that should fit the recipe.  (I just used mutt to bounce
a message from the galeon-devel list.)
	

Actual Results:  Get this in the procmail log:
procmail: Couldn't create or rename temp file
"galeon-devel/tmp/997887756.7977_2.d/voluntary-listsmojave"
From brian  Wed Aug 15 08:02:36 2001
 Subject: Re: [Galeon-devel] [patch] change toolbar settings on the fly
  Folder: m6/new/997887756.7977_3.OM | $NOTIFY_COMmojave                   4132

Note that the message was saved in the m6 folder (I had DEFAULT=m6/ in
.procmailrc).

Also, this does NOT happen when the recipe is directly placed in
.procmailrc (instead of using INCLUDERC).

Expected Results:  Message should have been saved in galeon-devel folder.

Additional info:

Comment 1 Trond Eivind Glomsrxd 2001-08-21 03:09:14 UTC
Verified.

Comment 2 Philip Guenther 2001-09-04 00:13:04 UTC
This is a known bug in versions 3.20 and 3.21.  I'll fire you guys a note as
soon as 3.22 is released (Real Soon Now).  The fix is trivial: replace the
strlcat with strlcpy in unique().  Oh wait, GNU libc doesn't include strlc*!  So
much for trivial fixes.  Implement strlcpy(), then make the above change.
Or wait till 3.22 (which includes its own implementation of strlcpy).


Comment 3 Philip Guenther 2001-09-12 00:14:12 UTC
Version 3.22 has been released:
	ftp://ftp.procmail.org/pub/procmail/procmail-3.22.tar.gz 


Comment 4 Trond Eivind Glomsrxd 2001-09-12 16:36:42 UTC
3.22-1 has been built,w hich should fix the reported problem.

Comment 5 Mario Lorenz 2001-11-04 11:49:09 UTC
If RedHat chooses to use unstable/development software for their Red Hat
releases (procmail 3.2x was not declared stable till 3.22), would it *PLEASE* be
possible to release a proper Errata if severe bugs like these are being found ?

I have LOST, or at least been DELAYED, IMPORTANT mail (the bug also triggers
when using the procmail receipes out of the mutt FAQ to tag PGP/gnupg signed
emails and deliver to maildirs). I wonder how many other unsuspecting people
upgraded to 7.2 and will notice only after some time that their procmail
receipes don't work anymore.


Comment 6 Trond Eivind Glomsrxd 2001-11-04 14:27:42 UTC
The author mailed us about the latest available in the 3.1x series had security
problems,  and that these were fixed in the 3.20 he just had released.

Comment 7 Matthew Miller 2002-03-13 21:18:14 UTC
Any chance of getting an errata for this? This functionality worked in RHL 6.2
until the security fix came along and broke it. :)

Comment 8 Trond Eivind Glomsrxd 2002-03-13 21:26:19 UTC
We'll make an errata if a new security issue appears.

Comment 9 Matthew Miller 2002-03-21 14:30:12 UTC
It's a severe functionality issue -- the update is basically broken. Shouldn't
that be enough?


Note You need to log in before you can comment on or make changes to this bug.